#include <stdio.h>
#define MAX 20

struct person {
   char name[MAX];
   int alter;
};

main()                                   /* Strukturen */
{  
   int i=1;
   struct person person, pf[MAX];

   strcpy(person.name,"Maxi");
   person.alter=18;
   printf("%s ist %d Jahre\n",person.name, person.alter);
   while(i<MAX) pf[i++]=person;
   pf[6].alter+=6;
   pf[6].name[3]='\0';
   printf("%s ist %d Jahre\n",pf[6].name, pf[6].alter);
   printf("%s ist %d Jahre\n",&pf, pf[0].alter);
}                               /* pf[0] unbelegt ! */  
